org.apache.uima.resource.metadata.impl

## Class ExternalResourceBinding_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.metadata.impl.ExternalResourceBinding_impl

- All Implemented Interfaces:
    Serializable, Cloneable, ExternalResourceBinding, MetaDataObject, XMLizable

      public class ExternalResourceBinding_impl
      extends MetaDataObject_impl
      implements ExternalResourceBinding

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

    - ### Fields inherited from interface org.apache.uima.resource.metadata.ExternalResourceBinding

      `EMPTY_RESOURCE_BINDINGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalResourceBinding_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()` Retrieves the key that identifies the `ExternalResourceDependency` being bound.
    `String` | `getResourceName()` Retrieves the name of the actual Resource instance that will satisfy this dependency.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `setKey(String aKey)` Sets the key that identifies the `ExternalResourceDependency` being bound.
    `void` | `setResourceName(String aName)` Sets the name of the actual Resource instance that will satisfy this dependency.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### ExternalResourceBinding_impl

          public ExternalResourceBinding_impl()

  - ### Method Detail

    - #### getKey

          public String getKey()

      Description copied from interface: `ExternalResourceBinding`
      Retrieves the key that identifies the `ExternalResourceDependency` being bound. If this binding is declared in a primitive component, this is exactly the same key as is specified in the `ExternalResourceDependency`.

      Within an aggregate, a slash-separated name is used to identify which component the binding applies to. For example, if an Aggregate AE contains an annotator with key `annotator1` which declares a resource dependency `myResource`, that Aggregate AE could binding that resource dependency by using the key `annotator1/myResource`.

      Specified by:
        `getKey` in interface `ExternalResourceBinding`
      Returns:
        the key for this resource binding.

    - #### setKey

          public void setKey(String aKey)

      Description copied from interface: `ExternalResourceBinding`
      Sets the key that identifies the `ExternalResourceDependency` being bound. If this binding is declared in a primitive component, this is exactly the same key as is specified in the `ExternalResourceDependency`.

      Within an aggregate, a slash-separated name is used to identify which component the binding applies to. For example, if an Aggregate AE contains an annotator with key `annotator1` which declares a resource dependency `myResource`, that Aggregate AE could binding that resource dependency by using the key `annotator1/myResource`.

      Specified by:
        `setKey` in interface `ExternalResourceBinding`
      Parameters:
        `aKey` - the key for this resource binding.

    - #### getResourceName

          public String getResourceName()

      Description copied from interface: `ExternalResourceBinding`
      Retrieves the name of the actual Resource instance that will satisfy this dependency. This name must match one of the names specified in an `ExternalResourceDescription` within the enclosing `ResourceManagerConfiguration` object.
      Specified by:
        `getResourceName` in interface `ExternalResourceBinding`
      Returns:
        the name of the resource satisfying this dependency.

    - #### setResourceName

          public void setResourceName(String aName)

      Description copied from interface: `ExternalResourceBinding`
      Sets the name of the actual Resource instance that will satisfy this dependency. This name must match one of the names specified in an `ExternalResourceDescription` within the enclosing `ResourceManagerConfiguration` object.
      Specified by:
        `setResourceName` in interface `ExternalResourceBinding`
      Parameters:
        `aName` - the name of the resource satisfying this dependency.

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.